Results 1 to 6 of 6

Thread: libdb5.3 removable ?

  1. #1
    dino99's Avatar
    dino99 is offline Ubuntu addict and loving it
    Join Date
    Jun 2006
    Location
    Nux Jam
    Beans
    Hidden!
    Distro
    Ubuntu Development Release

    libdb5.3 removable ?

    both lidb5.1 & 5.3 are installed, and strangely 5.3 is set as removable (inside synaptic). Usually we use the latest version, not the previous one.

    in fact that change comes from libpython2.7-stdlib:

    python2.7 (2.7.4~rc1-2) experimental; urgency=low

    * Backport webbrowser updates from 3.3. Closes: #700429.
    * Build again using db-5.1 instead of db-5.3.

    -- Matthias Klose <doko@debian.org> Sun, 24 Mar 2013 18:27:57 +0100
    Last edited by dino99; March 26th, 2013 at 04:29 PM.

  2. #2
    Join Date
    Oct 2008
    Location
    ExodusHair<Čubura
    Beans
    3,877
    Distro
    Ubuntu 14.04 Trusty Tahr

    Re: libdb5.3 removable ?

    Quote Originally Posted by dino99 View Post
    both lidb5.1 & 5.3 are installed, and strangely 5.3 is set as removable (inside synaptic). Usually we use the latest version, not the previous one.
    Something went wrong in dependencies: if I try to remove libdb5.1 lot of stuff gets labeled for removal also... If I try the same with 5.3 it would go smoothly... Transition I suppose...

  3. #3
    Join Date
    Jul 2010
    Location
    Finland
    Beans
    2,455
    Distro
    Ubuntu

    Re: libdb5.3 removable ?

    Quote Originally Posted by zika View Post
    Something went wrong in dependencies: if I try to remove libdb5.1 lot of stuff gets labeled for removal also... If I try the same with 5.3 it would go smoothly... Transition I suppose...
    Python 2.7 is now rebuilt agains libdb5.1. The former update was built against libdb5.3.
    So, this means you can safely remove (or purge) libdb5.3.

  4. #4
    Join Date
    Oct 2008
    Location
    ExodusHair<Čubura
    Beans
    3,877
    Distro
    Ubuntu 14.04 Trusty Tahr

    Re: libdb5.3 removable ?

    Quote Originally Posted by Harry33 View Post
    Python 2.7 is now rebuilt agains libdb5.1. The former update was built against libdb5.3.
    So, this means you can safely remove (or purge) libdb5.3.
    Makes sense... Thank You...
    Already purged couple of hours ago...
    Last edited by zika; March 25th, 2013 at 01:50 PM.

  5. #5
    dino99's Avatar
    dino99 is offline Ubuntu addict and loving it
    Join Date
    Jun 2006
    Location
    Nux Jam
    Beans
    Hidden!
    Distro
    Ubuntu Development Release

    Re: libdb5.3 removable ?

    but the main question is : why using that old version now ?

  6. #6
    Join Date
    Jul 2010
    Location
    Finland
    Beans
    2,455
    Distro
    Ubuntu

    Re: libdb5.3 removable ?

    Quote Originally Posted by dino99 View Post
    but the main question is : why using that old version now ?
    Obviously libdb5.3 is newer, but in order to switch to that new ABI, it would mean rebuilding a lot of packages in RR.
    And not to mention all the compatibility testing.
    Not a good idea to go into that at this stage.

Bookmarks

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •